Bug 610177 - fix coverity Defect Type: Uninitialized variables issues
fix coverity Defect Type: Uninitialized variables issues
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Directory Server (Show other bugs)
1.2.7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
:
Depends On:
Blocks: 389_1.2.7 639035
  Show dependency treegraph
 
Reported: 2010-07-01 13:34 EDT by Rich Megginson
Modified: 2015-01-04 18:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-17 10:08:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
0001-Bug-610177-fix-coverity-Defect-Type-Uninitialize.patch (47.12 KB, patch)
2010-07-01 18:10 EDT, Rich Megginson
nhosoi: review+
Details | Diff

  None (edit)
Description Rich Megginson 2010-07-01 13:34:52 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Rich Megginson 2010-07-01 18:10:50 EDT
Created attachment 428568 [details]
0001-Bug-610177-fix-coverity-Defect-Type-Uninitialize.patch
Comment 3 Rich Megginson 2010-07-06 12:33:29 EDT
To ssh://git.fedorahosted.org/git/389/ds.git
   830d55e..4a10385  master -> master
commit 4a103859b7100bc30046ecba3efca2e8f0b09c7d
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Thu Jul 1 11:39:02 2010 -0600
    Reviewed by: nhosoi (Thanks!)
    Branch: HEAD
    Fix Description: Initialize variables to 0, NULL, or an appropriate error
    code.  Got rid of the unused lexer code.
    Platforms tested: RHEL5 x86_64
    Flag Day: no
    Doc impact: no

Note You need to log in before you can comment on or make changes to this bug.